OpenMesh::PolyConnectivity::EntityRange< CONTAINER_TYPE, ITER_TYPE, begin_fn, end_fn > Class Template Reference

Generic class for vertex/halfedge/edge/face ranges. More...

`#include <OpenMesh/Core/Mesh/PolyConnectivity.hh>`

## Public Types

typedef ITER_TYPE | iterator
typedef ITER_TYPE | const_iterator

## Public Member Functions

| EntityRange (CONTAINER_TYPE &container)
ITER_TYPE | begin () const
ITER_TYPE | end () const

## Detailed Description

### template<typename CONTAINER_TYPE, typename ITER_TYPE, ITER_TYPE(CONTAINER_TYPE::*)() const begin_fn, ITER_TYPE(CONTAINER_TYPE::*)() const end_fn>
class OpenMesh::PolyConnectivity::EntityRange< CONTAINER_TYPE, ITER_TYPE, begin_fn, end_fn >

Generic class for vertex/halfedge/edge/face ranges.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/PolyConnectivity.hh